# Rename Project

Renames the project identified by its token.

Endpoint: PUT /api/v2.0/projects/{projectToken}
Version: 2.0
Security: bearer-key

## Path parameters:

  - `projectToken` (string, required)
    project UUID (by running Entities - Product > Get Product Projects) or Project Token (from the Mend SCA App: Integrate tab > Project Token).

## Request fields (application/json):

  - `name` (string, required)
    Example: "Entity A"

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (object)

  - `retVal.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.name` (string)
    Example: "My Project"

  - `retVal.path` (string)
    Example: "My Product"

  - `retVal.productName` (string)
    Example: "My Product"

  - `retVal.productUuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


